{% extends 'base.html.twig' %}

{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="{{asset('css/login.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">

{% endblock %}


{% block body %}


<div style="    width: 500px;
    margin: 0 auto; margin-top: 100px;">
  <input class="username" type="text" name="username" id="username" placeholder="Username" autocomplete="off"><br>
  <input class="password" type="password" name="userpass" id="password" placeholder="Password" autocomplete="off"><br>
  <button style="float:left" id="login" class="submit">Login</button>
  <button style="float:right;" id="signup" onclick="signup()" class="submit">Sign Up</button>
</div>

  <div id="snackbar" class="warning1">
</div> 


<div class="modalall" style="background: rgba(0,0,0,0.9);display: none">
<div style="    width: 500px;
    /* padding-left: 200px; */
    margin-top: 100px;
    left: 50%;
    position: relative;
    transform: translateX(-50%);">
  <input class="username" type="text"  id="createusername" placeholder="Username" autocomplete="off"><br>
  <input class="password" type="password" id="createpassword" placeholder="Password" autocomplete="off"><br>
  <input class="password" type="text" id="ign" placeholder="IGN" autocomplete="off"><br>
  <button style="float:left" id="submit" class="submit">Submit</button>
  <button style="float:right;" id="close" class="submit">Close</button>
  

</div>
  <div id="snackbar" class="warning2">
</div> 

</div>

<audio id="myAudio">
  <source src="{{asset('audio/audio1.mp3')}}" type="audio/mpeg">
</audio>

<audio id="myAudio"></audio>
{% endblock %}

{% block javascripts %}
<script type="text/javascript" src="{{asset('js/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/bootstrap.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/responsivevoice.js')}}"></script>
<script type="text/javascript">
var myAudio = document.getElementById("myAudio"); 
myAudio.addEventListener('ended', function() {
    this.currentTime = 0;
    this.play();
}, false);
myAudio.play();


responsiveVoice.speak("Welcome to target Troopers!");

$('#close').click(function(){
  $('.modalall').css('display','none');
  $('#warning').remove();
});

function signup(){
  $('.modalall').css('display','block');
  $('#warning').remove();
}


    $('#submit').click(function(){
            if($('#createusername').val()=="") {
              $('.warning2').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Username required! </div>');
              responsiveVoice.speak("Username required ");
            }
            else if($('#createpassword').val()=="") {
              $('.warning2').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Password required! </div>');
               responsiveVoice.speak("Password required ");

            }
            else if($('#ign').val()=="") {
              $('.warning2').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">In game name (IGN) required! </div>');
               responsiveVoice.speak("in game name required ");

            }
            else{
          $.ajax({
          url: '/ajaxRequestSignup',
          type: 'POST',
          dataType: 'json',
          data: {
            'username': $('#createusername').val(),
            'password': $('#createpassword').val(),
            'ign': $('#ign').val()
          },
          success: function(data){
            if(data.message=="success"){
              $('#snackbar').html('<div id="warning" style="color: white;background:green;padding: 20px; border:2px solid white; border-radius: 10px;">Account Created!</div>');
              responsiveVoice.speak("Account Created");
                         }
            else{
              $('#snackbar').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Username is Already use!</div>');
              responsiveVoice.speak("Username is Already use");
                
            }
                console.log(data.message);
            
          },
          error: function(xhr,status,error){
            alert(xhr.responseText);
          }
        });

            }      
    });

   $('#login').click(function(){

          if( window.innerHeight != screen.height && window.innerHeight+1 != screen.height ) {
              $('.warning1').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">this game requred fullscreen please press f11 thankyou! </div>');
          //    alert(screen.height); 
               responsiveVoice.speak("this game requred fullscreen please press f11. thankyou! ");

          }
          else if($('#username').val()=="") {
              $('.warning1').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Username required! </div>');
               responsiveVoice.speak("Username required ")
            }
            else if($('#password').val()=="") {
              $('.warning1').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Password required! </div>');
               responsiveVoice.speak("Password required ");

            }          else{
          $.ajax({
          url: '/ajaxRequestLogin',
          type: 'POST',
          dataType: 'json',
          data: {
            'username': $('#username').val(),
            'password': $('#password').val()
          },
          success: function(data){
            if(data.message=="Exist"){
                window.location.replace('/lobby');
            }
            else{
              $('#snackbar').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;"> Account not Exist</div>');
                             responsiveVoice.speak("Account not Exist");
                
            }
                console.log(data.message);
            
          },
          error: function(xhr,status,error){
            alert(xhr.responseText);
          }
        });
        }
    });


disable();
function disable(){
   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 116){
     //return false;
   }
    else if(event.ctrlKey && event.keyCode == 116){
     //return false;
   }
    else if(event.keyCode == 122){
        //f11
        return false;
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
}
       $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 122){
        //f11
        return false;
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
   //     return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});
</script>
{% endblock %}
